GDB (xrefs)

Public Attributes | List of all members
probe_and_action Struct Reference

## Public Attributes
probe * | prob
CORE_ADDR | address
enum probe_action | action

## Detailed Description

Definition at line 1664 of file solib-svr4.c.

## Member Data Documentation

## ◆ action

enum probe_action probe_and_action::action

Definition at line 1673 of file solib-svr4.c.

Referenced by register_solib_event_probe(), solib_event_probe_action(), svr4_handle_solib_event(), and svr4_update_solib_event_breakpoint().

## ◆ address

CORE_ADDR probe_and_action::address

Definition at line 1670 of file solib-svr4.c.

Referenced by equal_probe_and_action(), hash_probe_and_action(), register_solib_event_probe(), and solib_event_probe_at().

## ◆ prob

probe* probe_and_action::prob

Definition at line 1667 of file solib-svr4.c.

Referenced by register_solib_event_probe(), solib_event_probe_action(), and svr4_handle_solib_event().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-svr4.c